Bug 727905 - [abrt] lxpolkit-0.1.0-0.1.20100402git5087383.fc14: main: Process /usr/libexec/lxpolkit was killed by signal 11 (SIGSEGV)
Summary: [abrt] lxpolkit-0.1.0-0.1.20100402git5087383.fc14: main: Process /usr/libexec...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lxpolkit
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c1f164927f18dfa1d54d89e9b1d...
: 758876 758884 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 15:18 UTC by faldegast
Modified: 2012-08-16 12:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 12:50:43 UTC


Attachments (Terms of Use)
File: backtrace (9.15 KB, text/plain)
2011-08-03 15:18 UTC, faldegast
no flags Details
File: backtrace (11.36 KB, text/plain)
2012-03-19 14:44 UTC, Richard Marko
no flags Details

Description faldegast 2011-08-03 15:18:38 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 9371 bytes
cmdline: /usr/libexec/lxpolkit
component: lxpolkit
Attached file: coredump, 9523200 bytes
crash_function: main
executable: /usr/libexec/lxpolkit
kernel: 2.6.35.13-92.fc14.i686
package: lxpolkit-0.1.0-0.1.20100402git5087383.fc14
rating: 4
reason: Process /usr/libexec/lxpolkit was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
How to reproduce: Starting LXDE with Thinlink.
time: 1312381721
uid: 500

Comment 1 faldegast 2011-08-03 15:18:43 UTC
Created attachment 516535 [details]
File: backtrace

Comment 2 Christoph Wickert 2011-08-03 15:33:58 UTC
Is this crash reproducable, means does it happen every time you log in?

Are you running other PolicyKit authentication agents? Please give me the output of 'ps -A | grep pol'

(In reply to comment #0)
> How to reproduce: Starting LXDE with Thinlink.

Can you tell me more about this?

Comment 3 faldegast 2011-08-04 20:15:28 UTC
(In reply to comment #2)
> Is this crash reproducable, means does it happen every time you log in?
Yes, it happens every time i log in.

> 
> Are you running other PolicyKit authentication agents? Please give me the
> output of 'ps -A | grep pol'
It gives me no output.

> 
> (In reply to comment #0)
> > How to reproduce: Starting LXDE with Thinlink.
> 
> Can you tell me more about this?

http://www.cendio.com/products/thinlinc/

Its a FOSS-based terminal server software based on VNC. As Gnome 3.0 is far from optimal for terminal servers i plan to switch to LXDE before upgrading to F 15. There is also some applet that fail to start but i think thats a result of this bug.

I also got the following crash that by some reason got automatically filed as bug 499183, which is a different bug. 

These crashes are probably related, kdeutils-printer-applet also crash when i log in to KDE using ThinLinc.

Package:    	kdeutils-printer-applet-6:4.6.3-1.fc14
Latest Crash:	ons  3 aug 2011 17.32.03
Command:    	
Reason:     	connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.7240" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
Comment:    	This error also occur when logging in to KDE.
Bug Reports:	Status: CLOSED ERRATA
		https://bugzilla.redhat.com/show_bug.cgi?id=499183

Comment 4 Tim Flink 2011-10-07 16:18:06 UTC
Package: lxpolkit-0.1.0-0.2.20100402git5087383.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I see this when I start LXDE as a remote desktop.

I'm using nx (nomachine provided packages) to connect from F15 to the F16 machine where this error shows up but I'm not sure if that's related to this crash. I'm seeing other issues with X that keep me from running X locally on the F16 machine.

Comment 5 Christoph Wickert 2011-12-09 21:57:26 UTC
*** Bug 758884 has been marked as a duplicate of this bug. ***

Comment 6 Christoph Wickert 2011-12-09 21:57:36 UTC
*** Bug 758876 has been marked as a duplicate of this bug. ***

Comment 7 Steven Usdansky 2012-01-01 13:57:05 UTC
Same error here - running LXDE on my netbook (Acer Aspire One AOA150) running Rawhide (lxpolkit-0.1.0-1.fc16.i686 updated 31 Dec 2011) updated from F16 since Rawhide is currently uninstallable. 
 
$ ps -A | grep pol
  837 ?        00:00:01 polkitd

Comment 8 Steven Usdansky 2012-01-01 14:10:08 UTC
Problem persists with full update (1 Jan 2012)

~$ rpm -qa | egrep -i "lxpolkit|glibc|pam" | sort
glibc-2.14.90-26.fc17.i686
glibc-common-2.14.90-26.fc17.i686
gnome-keyring-pam-3.3.3.1-2.fc17.i686
lxpolkit-0.1.0-2.fc17.i686
pam-1.1.5-3.fc17.i686
pam_krb5-2.3.13-1.fc17.i686
pam_pkcs11-0.6.2-7.fc17.i686

Comment 9 Matti Lehti 2012-02-12 13:27:31 UTC
I have the same situation as in comment #4.

Lxpolkit crashes every time I log in to a new nx session, but not if I start X locally. F16 & LXDE running on an Asus eeepc 900.

~]$ rpm -qa | egrep -i "lxpolkit|glibc|pam|freenx" | sort
freenx-server-0.7.3-23.fc16.i686
glibc-2.14.90-24.fc16.4.i686
glibc-common-2.14.90-24.fc16.4.i686
gnome-keyring-pam-3.2.1-3.fc16.i686
lxpolkit-0.1.0-1.fc16.i686
pam-1.1.5-5.fc16.i686
pam_krb5-2.3.13-1.fc16.i686
pam_pkcs11-0.6.2-7.fc15.i686

Comment 10 Richard Marko 2012-03-19 14:44:18 UTC
Launching LXDE

backtrace_rating: 4
Package: lxpolkit-0.1.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 11 Richard Marko 2012-03-19 14:44:24 UTC
Created attachment 571140 [details]
File: backtrace

Comment 12 Fedora End Of Life 2012-08-16 12:50:47 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.